
/*****************************
    GLOBAL - PROPERTIES
*****************************/

*{
    margin: 0%;
    padding:0%;
    box-sizing: border-box;
}



a{
    color:inherit;
    text-decoration: none;
}
button{
    border: none;
    outline: none;
    cursor: pointer;
    background: inherit;
}

:root{
    --body-background-color: #E1E2ED;
    --container-background-color:rgba(255, 255, 255, 0.8);
    --container-highlight-color: #036eb6;
    --primary-color:black;
    --secondary-color:white;
    --tertiary-color: lightgrey;
}
body{
    background: var(--body-background-color) ; 
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: sans-serif;
}



/*---------------------------------
    GLOBAL - PROPERTIES -END
----------------------------------*/


/*****************************
      TO DO CONTAINER
*****************************/

.container{
    width: 590px;
    min-height:95vh;
    box-shadow: 0px 0px 1rem 0px rgba(0, 0, 0, .16);
    background: var(--container-background-color);
    position: relative;
    z-index: 100;
    /* to do */
    overflow: hidden;
    border-radius: 10px;
    color:var(--primary-color);
    text-align: center;
    padding: 10px 0px;
    
}

@media screen and (max-width:600px){
    .container{
        width: 90%;
    }
}

.container::before{
    content: '';
    position: absolute;
    width: 120%;
    height: 50%;
    border-radius: 50%;
    top: -30%;
    left: -10%;
    z-index: -1;
    background: var(--container-highlight-color);
}
.heading{
    width: 100%;
    height:20vh;
}
.container h1{
    z-index: 100;
    color: var(--secondary-color);
}
.container h4{
    margin-top: 20px;
    z-index: 100;
    color: var(--secondary-color);
}

.plus{
    width:70px;
    height:70px;
    background: var(--container-highlight-color);
    border-radius: 50%;
    color: var(--secondary-color);
    box-shadow: 0px 0px 20px 0px grey;
    position: absolute;
    bottom: 20px;
    right:20px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    outline: none;
    border: none;
    cursor: pointer;
}

button.plus:active{
    transform: scale(.9);
}



/*****************************
    EMPTY LIST DIV
*****************************/


.emptylist{
    width: 100%;
    height: 40vh;
    background: url(./img/emptylist.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    color: var(--container-highlight-color);
}
.message h1{
    color: var(--primary-color);
}
.emptylist img{
    width: 100%;
    height: 100%;
}

/*---------------------------------
   EMPTY LIST -END
----------------------------------*/


/*****************************
    TO DO LIST INPUTS DIV
*****************************/

.to-do-inputs{
    width:100%;
    height:75vh;
    border-radius: 10px;
    background: var(--container-highlight-color);
    padding: 20px 5px;
    position: absolute;
    bottom: -100%;
    /* to do */
    visibility: visible;
}
.error-output{
    text-align: center;
    color: rgb(204, 3, 3);
    width: 100%;
    font-weight: bolder;
}

.to-do-inputs .form{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    color: var(--secondary-color);
    height: 100%;
}
.to-do-inputs input{
    outline: none;
    background: transparent;
    border: none;
    height: 90%;
    width: 100%;
    color: var(--secondary-color);
    font-size: 1.2rem;
}

.to-do-inputs input::placeholder{
    color: var(--tertiary-color);
}
.to-do-inputs h3{
    width: 100%;
    margin: 0;
    text-align: left;
}
.to-do-inputs .task-div{
    width: 99%;
    border:1px solid lightgray;
    margin: 10px .5%;
    height: 70px;
    margin-bottom: 20px;
}
.to-do-inputs select{
    height: 90%;
    width: 100%;
    background: transparent;
    color: var(--secondary-color);
    font-size: 1.2rem;
    border: none;
    outline: none;
}
.to-do-inputs select option{
    color: black;
    font-size: 1rem;
    padding: 10px;
}
.to-do-inputs .category-div{
    width:45%;
    margin: 10px 0;
    height: 65px;
    border: 1px solid lightgray;
}

.to-do-inputs .date-div{
    border: 1px solid lightgray;
    width: 45%;
    height: 65px;
    margin: 10px 0;

}


.to-do-inputs .button-div{
    width:100%;
    margin:20px 0;
    align-self: flex-end;
}
.to-do-inputs .button-div button{
    padding: 15px 25px;
    background: transparent;
    outline: none;
    border: none;
    border: 2px solid white;
    color: var(--secondary-color);
    font-size: 1.5rem;
    box-shadow: 0 0 10px 1px #013f68;
    cursor: pointer;
}
.to-do-inputs .button-div button:active{
    transform: scale(.9);
}
#cancel{
    color:white;
    font-size: 1rem;
}

/*---------------------------------
   TO DO LIST INPUTS DIV -END
----------------------------------*/

/*****************************
    TASKS LIST DIV
*****************************/
.task-list{
    width: 100%;
    max-height: 70vh;
    display: flex;
    flex-direction: column;
    text-align: left;
    overflow-y: scroll;
    /* display: none; */
}

.task-list::-webkit-scrollbar{
    width:5px;
    background-color: transparent;
    padding: 10px 2px;
}
.task-list::-webkit-scrollbar-thumb {
    width:5px;
    background-color: lightgrey;
    border-radius: 5px;
}

.list-header{
    padding: 10px;
    text-align: right;
    background: transparent;
}


.task-list .my-info{
    display: flex;
    justify-content: space-around;
    font-size: 1.2rem;
}
.my-info .checkbox{
    margin: 0 5px;
}

.task-list .card{
    display: flex;
    width: 100%;
    justify-content: space-between;
    padding: 5px 0;
    box-shadow: 0px 0 10px 0 rgb(212, 211, 211);
    margin:5px 0;
}
.top-todos .card{
    padding: 3px 0;
    background: var(--container-highlight-color);
    color: var(--secondary-color);
}

span.task-date{
    color: var(--primary-color);
    margin-top: 10px;
    font-size: .8rem;
}
.tasks-category{
    padding-right: 20px;
}
@media screen and (max-width:600px){
    .task-list .card{
        flex-wrap: wrap;
    }
    .tasks-category{
        width: 100%;
        align-self: center;
        padding-right: 0;
    }
    .tasks-category .tags{
        margin: auto;
        float: right;
        margin-right: 5px;
    }
}
.tasks-category .tags {
    padding:10px 20px;
    color: var(--secondary-color);
    width: fit-content;
    text-transform: capitalize;
}
.school{
    background-color: hotpink;
}
.professional{
    background-color: rgb(37, 124, 19);
}
.home{
    background-color: rgb(129, 6, 230);
}
.personal{
    background-color: rgb(248, 35, 35);
}
.other{
    background-color: rgb(248, 85, 35);

}
.checkbox-checked{
    text-decoration: line-through;
    color:gray;
}
.none{
    display: none;
}

.star{
    cursor: pointer;
}

.delete-btn{
    padding: 8px 15px;
    background-color: rgba(0, 0, 0, .16);
    font-size: 1rem;
    margin-right: 15px;
}
.delete-btn {
    font-size: 1rem;
}
.delete-btn:hover{
    box-shadow: 1px 1px 5px 1px grey;
}
.delete-btn:active{
    transform: scale(.9);
}
/*---------------------------------
TASKS LIST DIV -END
----------------------------------*/

/*---------------------------------
    TO DO CONTAINER -END
----------------------------------*/